明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 2044|回复: 4

圆的属性

[复制链接]
发表于 2006-12-3 15:30:00 | 显示全部楼层 |阅读模式

请部圆的属性是

"AcadCircle"还是"AcdbCircle"

发表于 2006-12-4 11:50:00 | 显示全部楼层
<RE class=Code>Sub Example_AddCircle()
    ' This example creates a circle in model space.
   
    Dim circleObj As AcadCircle
    Dim centerPoint(0 To 2) As Double
    Dim radius As Double
   
    ' Define the circle
    centerPoint(0) = 0#: centerPoint(1) = 0#: centerPoint(2) = 0#
    radius = 5#
   
    ' Create the Circle object in model space
    Set circleObj = ThisDrawing.ModelSpace.AddCircle(centerPoint, radius)
    ZoomAll
   
End Sub</PRE>
 楼主| 发表于 2006-12-5 09:21:00 | 显示全部楼层

那我在一个资料内看到这样一段

set acadobj=setobj.item(i)

if acadobj.objectname = "acdbcircle" then

cenpnt =acadobj.center

.........

这里的"acdbcircle" 那是什么?

发表于 2006-12-5 09:45:00 | 显示全部楼层
定义变量用"ACAD",判断对象类型读取属性时用"ACDB"
 楼主| 发表于 2006-12-6 14:04:00 | 显示全部楼层

哦,知道了,谢了

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-26 22:27 , Processed in 0.182922 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表